Get started
Quickstart
Create a key, list companies, create a person.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a key, list companies, create a person.
export HERMIOS_API_KEY="<your key>"
curl "https://api.hermios.app/rest/companies?limit=5&order_by=createdAt[DescNullsLast]" \
-H "Authorization: Bearer $HERMIOS_API_KEY"
{
"data": { "companies": [{ "id": "…", "name": "Acme", "domainName": { "primaryLinkUrl": "https://acme.com" } }] },
"totalCount": 42,
"pageInfo": { "hasNextPage": true, "endCursor": "…" }
}
curl -X POST "https://api.hermios.app/rest/people" \
-H "Authorization: Bearer $HERMIOS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": { "firstName": "Ada", "lastName": "Lovelace" },
"emails": { "primaryEmail": "ada@acme.com" },
"companyId": "<company id from step 2>"
}'
curl "https://api.hermios.app/graphql" \
-H "Authorization: Bearer $HERMIOS_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"{ companies(first: 5) { totalCount edges { node { id name } } } }"}'